package cn.com.qmth.stmms.biz.distributpaper.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.distributpaper.model.CaseHistory;

public interface CaseHistoryDao extends PagingAndSortingRepository<CaseHistory, Integer>,
        JpaSpecificationExecutor<CaseHistory> {

    List<CaseHistory> findByLibraryId(Integer libraryId);

    List<CaseHistory> findByLibraryIdAndScorer(Integer libraryId, Integer scorer);
}
