package cn.com.qmth.stmms.biz.distributpaper.dao;

import java.util.List;

import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.distributpaper.model.TryHistory;

public interface TryHistoryDao extends PagingAndSortingRepository<TryHistory, Integer>,
        JpaSpecificationExecutor<TryHistory> {

    List<TryHistory> findByLibraryIdAndScorer(int libraryId, int scorer);

    List<TryHistory> findByLibraryId(int libraryId, Sort sort);

}
